var _ = (function() {

    var
        // activeSeln :: OG () -> OG Selection
        activeSeln = function() {
            return document.windows[0].selection;
        },

        cycleTidy = new PlugIn.Action(function(selection) {
            var oSeln = selection !== undefined ? selection : activeSeln();
            return (
                this.tidyTreeLib.tidyLayout(
                    oSeln, ['Bottom', 'Left', 'Top', 'Right']
                ),
                oSeln.canvas.layoutInfo.direction
            );
        });

    return (
        cycleTidy.validate = function(selection) {
            const cnv = (selection !== undefined ? selection : activeSeln())
                .canvas;
            return (cnv !== null) && (cnv.outlineRoot.children
                .reduce(function(a, x) {
                    return a + x.children.length;
                }, 0)) > 0;
        },
        cycleTidy
    );
})();
_;