var _ = (function() {
    var
        // activeSeln :: OG () -> OG Selection
        activeSeln = function() {
            return document.windows[0].selection;
        },
        simpleTidy = new PlugIn.Action(function(selection) {
            var oSeln = selection !== undefined ? selection : activeSeln();
            return (
                this.tidyTreeLib.tidyLayout(oSeln, []),
                oSeln.canvas.layoutInfo.direction
            );
        });

    return (
        simpleTidy.validate = function(selection) {
            const cnv = (selection !== undefined ? selection : activeSeln())
                .canvas;
            // Valid if the virtual root has at least one grandchild
            // (i.e. if any of the top level graphics has a child)
            return (cnv !== null) && (
                cnv.outlineRoot.children
                .reduce((a, x) => a + x.children.length, 0)
            ) > 0;
        },
        simpleTidy
    );
})();
_;